Bug 256211 - Test execution breaks with surefire 2.19
Test execution breaks with surefire 2.19
Status: RESOLVED WONTFIX
Product: projects
Classification: Unclassified
Component: Maven
8.1
PC Linux
: P2 (vote)
: TBD
Assigned To: Theofanis Oikonomou
issues@projects
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 17:36 UTC by everflux
Modified: 2016-02-28 09:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description everflux 2015-10-27 17:36:39 UTC
Product Version: NetBeans IDE 8.1 (Build 201510222201)
Java: 1.8.0_66; Java HotSpot(TM) 64-Bit Server VM 25.66-b17
Runtime: Java(TM) SE Runtime Environment 1.8.0_66-b17
System: Linux version 4.2.0-16-generic running on amd64; UTF-8; en_US (nb)
User directory: /home/tkruse/.netbeans/8.1
Cache directory: /home/tkruse/.cache/netbeans/8.1

I have a multi module maven project. When using surefire 2.19 test execution is not performed and an error is shown that no tests are executed when running "test file" from Netbeans.

When using surefire 2.18.1 it works.

Surefire config

<plugin>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.19</version>
                <configuration>
                    <parallel>classes</parallel>
                    <threadCount>2</threadCount>
                    <perCoreThreadCount>true</perCoreThreadCount>
                </configuration>
            </plugin>
Comment 1 everflux 2015-10-27 17:37:40 UTC
Might be related to https://issues.apache.org/jira/browse/SUREFIRE-983
Comment 2 rptmaestro 2015-11-04 01:07:48 UTC
The surefire bug is reported here, although the maintainer insists it is a "wish":

https://issues.apache.org/jira/browse/SUREFIRE-1191

The maintainer appears to have no intention of fixing the issue. He insists the proper behavior is for the test name not to be a class name, but a path name to a java file. However, as I commented in that issue, the support for using a test name in class name format has been supported on all versions of surefire between 2.4 and 2.18. Only in 2.19 has this feature been dropped.

In diffing 2.18.1 to 2.19, there have been considerable changes made to the implementation. Apparently these changes were of such a nature that the maintainer feels it would be too onerous a change to support specifying the test as a class name again.
Comment 3 everflux 2015-11-04 08:49:34 UTC
The attitude of the surefire maintainer is indeed quite unique and egocentric.

Perhaps a note in the release notes would help to prevent other netbeans users to struggle with this. (Took me hours to find the culprit and was a really bad experience.)

I assume there is nothing that can be done in netbeans, so I suggest to close as wontfix.
Comment 4 Theofanis Oikonomou 2015-11-04 09:05:14 UTC
(In reply to everflux from comment #3)
> 
> I assume there is nothing that can be done in netbeans, so I suggest to
> close as wontfix.

you are correct. Until this is fixed on surefire's side in 3.0 surefire 2.18 should be used. Thank you for tracking this down and for your comments on that bug/wish :)
Comment 5 everflux 2015-11-04 09:07:50 UTC
Please add a note to the Netbeans 8.1 release notes regarding this known issue, thank you.

( https://netbeans.org/community/releases/81/relnotes.html#known_issues )
Comment 6 Theofanis Oikonomou 2015-11-04 11:52:54 UTC
(In reply to everflux from comment #5)
> Please add a note to the Netbeans 8.1 release notes regarding this known
> issue, thank you.
> 
> ( https://netbeans.org/community/releases/81/relnotes.html#known_issues )

Alyona, could you please add this to relnotes? Thank you
Comment 7 escay 2015-12-09 13:28:20 UTC
In the mean time issue https://issues.apache.org/jira/browse/SUREFIRE-1191 is marked as fixed.
You should now be able to update to version 2.19.1 of the plugin.
Comment 8 Jaroslav Tulach 2015-12-29 11:52:31 UTC
Quite annoying; I cannot find version 2.19.1 of surefire-plugin. Downgrading to 2.18 helps.
Comment 9 everflux 2015-12-29 11:53:56 UTC
2.19.1 is not yet released, unfortunately.
Comment 10 everflux 2016-02-28 09:30:26 UTC
FYI: 2.19.1 is finally released. I did not yet test if the regression is fixed, though, but the surefire bug is mentioned as fixed in the release notes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo